> ## Documentation Index
> Fetch the complete documentation index at: https://docs.etherscan.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Internal Transactions by Address

> Retrieves the internal transaction history of a specified address, with optional pagination.

export const chain = '1';

<ResponseExample>
  ```json Response theme={null}
  {
    "status": "1",
    "message": "OK",
    "result": [
      {
        "blockNumber": "2535368",
        "timeStamp": "1477837690",
        "hash": "0x8a1a9989bda84f80143181a68bc137ecefa64d0d4ebde45dd94fc0cf49e70cb6",
        "from": "0x20d42f2e99a421147acf198d775395cac2e8b03d",
        "to": "",
        "value": "0",
        "contractAddress": "0x2c1ba59d6f58433fb1eaee7d20b26ed83bda51a3",
        "input": "",
        "type": "create",
        "gas": "254791",
        "gasUsed": "46750",
        "traceId": "0",
        "isError": "0",
        "errCode": ""
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml openapi/api-reference/endpoint/txlistinternal.json GET /v2/api
openapi: 3.1.0
info:
  title: Get Internal Transactions by Address
  version: 2.0.0
  description: >-
    Retrieves the internal transaction history of a specified address, with
    optional pagination.
  license:
    name: Etherscan API Terms
    url: https://etherscan.io/terms
servers:
  - url: https://api.etherscan.io
    description: Etherscan API.
security:
  - apiKey: []
paths:
  /v2/api:
    get:
      summary: Get Internal Transactions by Address
      description: >-
        Retrieves the internal transaction history of a specified address, with
        optional pagination.
      operationId: getTxlistinternal
      parameters:
        - name: chainid
          in: query
          required: true
          description: >-
            Chain ID to query, eg 1 for Ethereum, 8453 for Base from our
            supported chains.
          schema:
            type: string
          example: '1'
        - name: module
          in: query
          required: true
          description: Set to account for this endpoint
          schema:
            type: string
            default: account
          example: account
        - name: action
          in: query
          required: true
          description: Set to txlistinternal for this endpoint.
          schema:
            type: string
            default: txlistinternal
          example: txlistinternal
        - name: address
          in: query
          required: true
          description: >-
            The address to query, like
            0xfefefefefefefefefefefefefefefefefefefefe.
          schema:
            type: string
          example: '0x2c1ba59d6f58433fb1eaee7d20b26ed83bda51a3'
        - name: startblock
          in: query
          required: false
          description: Starting block number to search from.
          schema:
            type: integer
          example: 0
        - name: endblock
          in: query
          required: false
          description: Ending block number to search to.
          schema:
            type: integer
          example: 999999999
        - name: page
          in: query
          required: false
          description: Page number for pagination.
          schema:
            type: integer
          example: 1
        - name: offset
          in: query
          required: false
          description: >-
            Number of records per page. Use the page parameter for subsequent
            records.
          schema:
            type: integer
          example: 100
        - name: sort
          in: query
          required: false
          description: >-
            Sort order either desc for the latest transactions first or asc for
            the oldest transactions first.
          schema:
            type: string
          example: asc
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: query
      name: apikey
      description: Your Etherscan API key.

````